package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.CourseTimeEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * @Author: cy
 * @Date: 2022/5/26
 */
@ApiModel
public class ArrangeCourseVo implements Serializable {
    @ApiModelProperty("课程名称")
    @Size(max = 20, message = "课程名称长度不能超过20个字")
    private String courseName;
    @ApiModelProperty("声部id")
    private Long subjectId;
    @ApiModelProperty("学员id集合")
    private List<Long> studentIds;
    @ApiModelProperty("课时数")
    private Integer classNum;
    @ApiModelProperty("单课时长")
    private Integer singleClssTime;
    @ApiModelProperty("消耗时长")
    private Integer consumeTime;
    @ApiModelProperty("上课时间")
    private List<CourseTimeEntity> timeList;

    public Integer getConsumeTime() {
        return consumeTime;
    }

    public void setConsumeTime(Integer consumeTime) {
        this.consumeTime = consumeTime;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public List<Long> getStudentIds() {
        return studentIds;
    }

    public void setStudentIds(List<Long> studentIds) {
        this.studentIds = studentIds;
    }

    public Integer getClassNum() {
        return classNum;
    }

    public void setClassNum(Integer classNum) {
        this.classNum = classNum;
    }

    public Integer getSingleClssTime() {
        return singleClssTime;
    }

    public void setSingleClssTime(Integer singleClssTime) {
        this.singleClssTime = singleClssTime;
    }

    public List<CourseTimeEntity> getTimeList() {
        return timeList;
    }

    public void setTimeList(List<CourseTimeEntity> timeList) {
        this.timeList = timeList;
    }
}



